Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.usermodel.charts
Interface ChartAxis

All Known Subinterfaces:
  ValueAxis

    public interface ChartAxis

High level representation of chart axis.

Author:
  Roman Kashitsyn

Method Summary
`void` | `crossAxis(ChartAxis axis)` Declare this axis cross another axis.
`AxisCrosses` | `getCrosses()`
`long` | `getId()`
`double` | `getLogBase()`
`double` | `getMaximum()`
`double` | `getMinimum()`
`java.lang.String` | `getNumberFormat()`
`AxisOrientation` | `getOrientation()`
`AxisPosition` | `getPosition()`
`boolean` | `isSetLogBase()`
`boolean` | `isSetMaximum()`
`boolean` | `isSetMinimum()`
`void` | `setCrosses(AxisCrosses crosses)`
`void` | `setLogBase(double logBase)`
`void` | `setMaximum(double max)`
`void` | `setMinimum(double min)`
`void` | `setNumberFormat(java.lang.String format)`
`void` | `setOrientation(AxisOrientation orientation)`
`void` | `setPosition(AxisPosition position)`

Method Detail

### getId

    long getId()

  Returns:
    axis id

### getPosition

    AxisPosition getPosition()

  Returns:
    axis position

### setPosition

    void setPosition(AxisPosition position)

  Parameters:
    `position` - new axis position

### getNumberFormat

    java.lang.String getNumberFormat()

  Returns:
    axis number format

### setNumberFormat

    void setNumberFormat(java.lang.String format)

  Parameters:
    `format` - axis number format

### isSetLogBase

    boolean isSetLogBase()

  Returns:
    true if log base is defined, false otherwise

### setLogBase

    void setLogBase(double logBase)

  Parameters:
    `logBase` - a number between 2 and 1000 (inclusive)
  Throws:
    `java.lang.IllegalArgumentException` - if log base not within allowed range

### getLogBase

    double getLogBase()

  Returns:
    axis log base or 0.0 if not set

### isSetMinimum

    boolean isSetMinimum()

  Returns:
    true if minimum value is defined, false otherwise

### getMinimum

    double getMinimum()

  Returns:
    axis minimum or 0.0 if not set

### setMinimum

    void setMinimum(double min)

  Parameters:
    `min` - axis minimum

### isSetMaximum

    boolean isSetMaximum()

  Returns:
    true if maximum value is defined, false otherwise

### getMaximum

    double getMaximum()

  Returns:
    axis maximum or 0.0 if not set

### setMaximum

    void setMaximum(double max)

  Parameters:
    `max` - axis maximum

### getOrientation

    AxisOrientation getOrientation()

  Returns:
    axis orientation

### setOrientation

    void setOrientation(AxisOrientation orientation)

  Parameters:
    `orientation` - axis orientation

### setCrosses

    void setCrosses(AxisCrosses crosses)

  Parameters:
    `crosses` - axis cross type

### getCrosses

    AxisCrosses getCrosses()

  Returns:
    axis cross type

### crossAxis

    void crossAxis(ChartAxis axis)

  Declare this axis cross another axis.

  Parameters:
    `axis` - that this axis should cross

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD